﻿Public Class Form1

  Private m_oBingMapsLayer As ThinkGeo.MapSuite.Core.BingMapsLayer

  Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    Me.init()
  End Sub

  Private Sub Init()

    Try

      Me.WinformsMap1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter

      m_oBingMapsLayer = New ThinkGeo.MapSuite.Core.BingMapsLayer()
      m_oBingMapsLayer.ApplicationId = ""
      m_oBingMapsLayer.MapType = ThinkGeo.MapSuite.Core.BingMapsMapType.Aerial
      m_oBingMapsLayer.CacheDirectory = ""

      Dim oLayerOverlay As New ThinkGeo.MapSuite.DesktopEdition.LayerOverlay
      oLayerOverlay.DrawingExceptionMode = ThinkGeo.MapSuite.Core.DrawingExceptionMode.DrawException
      oLayerOverlay.Layers.Add(m_oBingMapsLayer)

      Me.WinformsMap1.Overlays.Add(oLayerOverlay)

      Me.WinformsMap1.CurrentExtent = New ThinkGeo.MapSuite.Core.RectangleShape("POLYGON((967578.974891563 6344827.52712959,968933.285542816 6344827.52712959,968933.285542816 6343578.12786682,967578.974891563 6343578.12786682,967578.974891563 6344827.52712959))")
      Me.WinformsMap1.Refresh(oLayerOverlay)

    Catch ex As Exception
      MsgBox(ex.Message)
    End Try

  End Sub

  Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
    m_oBingMapsLayer.MapType = ThinkGeo.MapSuite.Core.BingMapsMapType.Birdseye
  End Sub

End Class

